Subject: [IPP] Fwd: New Version Notification for draft-sweet-iot-acme-00.txt

From: ISTO-PWG Internet Printing Protocol workgroup discussion forum via ipp <[email-masked]>
Date: Mon, 18 Apr 2022 12:22:12 -0400

Hi,

We'll talk about this new IETF draft at this Thursday's IPP WG call.

Cheers,
- Ira

---------- Forwarded message ---------
From: Michael Sweet <[email-masked]>
Date: Wed, Apr 6, 2022 at 12:16 PM
Subject: Fwd: New Version Notification for draft-sweet-iot-acme-00.txt
To: Ira McDonald <[email-masked]>, Kennedy, Smith (Wireless & IPP
Standards) <[email-masked]>

Ira/Smith,

I don't know if this is going to get anywhere in the IETF (hoping to get
the IoT Operations workgroup interested), but I've been puttering with this
for a few weeks as a solution for getting trusted X.509 certificates for
printers...

Begin forwarded message:

*From: [email-masked]
*Subject: **New Version Notification for draft-sweet-iot-acme-00.txt*
*Date: *April 6, 2022 at 12:12:43 PM EDT
*To: *"Michael Sweet" <[email-masked]>

A new version of I-D, draft-sweet-iot-acme-00.txt
has been successfully submitted by Michael Sweet and posted to the
IETF repository.

Name: draft-sweet-iot-acme
Revision: 00
Title: ACME-Based Provisioning of IoT Devices
Document date: 2022-04-06
Group: Individual Submission
Pages: 10
URL:            https://www.ietf.org/archive/id/draft-sweet-iot-acme-00.txt
Status:         https://datatracker.ietf.org/doc/draft-sweet-iot-acme/
Html:           https://www.ietf.org/archive/id/draft-sweet-iot-acme-00.html
Htmlized:       https://datatracker.ietf.org/doc/html/draft-sweet-iot-acme

Abstract:
  This document extends the Automatic Certificate Management
  Environment (ACME) [RFC8555] to provision X.509 certificates for
  local Internet of Things (IoT) devices that are accepted by existing
  web browsers and other software running on End User client devices.

The IETF Secretariat

________________________
Michael Sweet
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: ISTO-PWG Internet Printing Protocol workgroup discussion forum via ipp <[email-masked]>
Date: Mon, 18 Apr 2022 16:55:08 +0000

Mike,

There is a typo in the introduction, 2nd paragraph.

Introduction

   IoT devices are common on local networks and often utilize TLS
   [RFC8446] with self-signed X.509 certificates [RFC5280] to provide
   HTTPS [RFC2818] based web pages and services.  Unfortunately, web
   browsers typically do not trust such certificates and show error
   messages intended to deter usage.

   This document defines a extensions to the Automatic Certificate
   Management Environment (ACME) [RFC8555], a DHCP [RFC2131] option that
   provides the host name of the local ACME service, a DNS-SD [RFC6763]
   service for the local ACME service, and implementation guidance for
   client devices and software.

Regards

Uli Wehner
Sr Technology Specialist, Technology Solutions Support (TSS)
Gemba Engineering & Development Center
RICOH Digital Services

[Ricoh-JPG4]

From: ipp <[email-masked]> On Behalf Of ISTO-PWG Internet Printing Protocol workgroup discussion forum via ipp
Sent: Monday, April 18, 2022 12:22 PM
To: [email-masked]; Michael Sweet <[email-masked]>; Ira McDonald <[email-masked]>
Subject: [IPP] Fwd: New Version Notification for draft-sweet-iot-acme-00.txt[EXTERNAL]

Hi,

Cheers,
- Ira

---------- Forwarded message ---------
From: Michael Sweet <[email-masked]<mailto:[email-masked]>>
Date: Wed, Apr 6, 2022 at 12:16 PM
Subject: Fwd: New Version Notification for draft-sweet-iot-acme-00.txt
To: Ira McDonald <[email-masked]<mailto:[email-masked]>>, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]<mailto:[email-masked]>>

Ira/Smith,

I don't know if this is going to get anywhere in the IETF (hoping to get the IoT Operations workgroup interested), but I've been puttering with this for a few weeks as a solution for getting trusted X.509 certificates for printers...

Begin forwarded message:

From: [email-masked]<mailto:[email-masked]>
Subject: New Version Notification for draft-sweet-iot-acme-00.txt
Date: April 6, 2022 at 12:12:43 PM EDT
To: "Michael Sweet" <[email-masked]<mailto:[email-masked]>>

Name: draft-sweet-iot-acme
Revision: 00
Title: ACME-Based Provisioning of IoT Devices
Document date: 2022-04-06
Group: Individual Submission
Pages: 10
URL:            https://www.ietf.org/archive/id/draft-sweet-iot-acme-00.txt<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_archive_id_draft-2Dsweet-2Diot-2Dacme-2D00.txt&d=DwMFaQ&c=5hYF0Zu0Yz-C6S-kaHDIt4ADo8NP5Dtlv81GI_RNZig&r=Kf2OsKTEH35gSgu0U6HqdHzbU1TrLWRQF9AyGiFJjds&m=zfQciHLrqKJORMB6H5dSKUWXHNfODcVNbVDNwzPtmZUW6IR4FVEOEhfLaVtsMqzF&s=ev7spH4_1oMv-hDzbaC2faj1RxnX4aubSeJPXjZ8WY4&e=>
Status:         https://datatracker.ietf.org/doc/draft-sweet-iot-acme/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dsweet-2Diot-2Dacme_&d=DwMFaQ&c=5hYF0Zu0Yz-C6S-kaHDIt4ADo8NP5Dtlv81GI_RNZig&r=Kf2OsKTEH35gSgu0U6HqdHzbU1TrLWRQF9AyGiFJjds&m=zfQciHLrqKJORMB6H5dSKUWXHNfODcVNbVDNwzPtmZUW6IR4FVEOEhfLaVtsMqzF&s=iBfRMLRiZSno_c3pWQx4F4zSvanbNUXoZ9i_FOYrJvI&e=>
Html:           https://www.ietf.org/archive/id/draft-sweet-iot-acme-00.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_archive_id_draft-2Dsweet-2Diot-2Dacme-2D00.html&d=DwMFaQ&c=5hYF0Zu0Yz-C6S-kaHDIt4ADo8NP5Dtlv81GI_RNZig&r=Kf2OsKTEH35gSgu0U6HqdHzbU1TrLWRQF9AyGiFJjds&m=zfQciHLrqKJORMB6H5dSKUWXHNfODcVNbVDNwzPtmZUW6IR4FVEOEhfLaVtsMqzF&s=Ajh9lrRoVVq-b4S7fvviQzypBBiigTtRk9_xpLCQp5s&e=>
Htmlized:       https://datatracker.ietf.org/doc/html/draft-sweet-iot-acme<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_html_draft-2Dsweet-2Diot-2Dacme&d=DwMFaQ&c=5hYF0Zu0Yz-C6S-kaHDIt4ADo8NP5Dtlv81GI_RNZig&r=Kf2OsKTEH35gSgu0U6HqdHzbU1TrLWRQF9AyGiFJjds&m=zfQciHLrqKJORMB6H5dSKUWXHNfODcVNbVDNwzPtmZUW6IR4FVEOEhfLaVtsMqzF&s=LfZ-JAg5pZ7-QeXNvHrDn_a0N9A-JWljWAkeTzStezo&e=>

Abstract:

The IETF Secretariat

________________________
Michael Sweet

---

From: ISTO-PWG Internet Printing Protocol workgroup discussion forum via ipp <[email-masked]>
Date: Mon, 18 Apr 2022 14:25:00 -0400

Uli,

Thanks, I have fixed this in my local copy... :)

> On Apr 18, 2022, at 12:55 PM, ISTO-PWG Internet Printing Protocol workgroup discussion forum via ipp <[email-masked]> wrote:
> 
> Mike,
> 
> To: Ira McDonald <[email-masked]>, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]>
> 
> 
> Ira/Smith,
> 
> From: [email-masked]
> To: "Michael Sweet" <[email-masked]>
> 
> 

________________________
Michael Sweet